<?php

namespace App\Command;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;
use Symfony\Component\DependencyInjection\ContainerInterface;

class DropMigrationVersionCommand extends Command
{
    protected static $defaultName = 'app:drop:migration:version';

    private $container;

    public function __construct(ContainerInterface $container)
    {
        $this->container = $container;
        parent::__construct();
    }

    protected function configure()
    {
        $this
            ->setName('app:drop:migration:version')
            ->setAliases(['cybersponse:drop:migration:version'])
            ->setDescription('Truncate Migrations versions');;
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $io = new SymfonyStyle($input, $output);
        $metadataEntityManager = $this->container->get('doctrine.orm.entity_manager');
        $commandsToExecute = [
            "TRUNCATE migration_versions;",
        ];
        foreach ($commandsToExecute as $commandToExecute) {
            $metadataEntityDatabase = $metadataEntityManager->getConnection()->prepare($commandToExecute);
            try{
                $metadataEntityDatabase->execute();
            }catch(\Exception $e) {
                throw new \Exception('Failure: ' . $e);
            }
        }
        $io->success('Successfully removed migration versions');
        return 0;
    }
}
