<?php

namespace App\Controller\Settings;

use App\Entity\Settings\SystemSettings;
use App\Repository\SystemSettingsRepository;
use App\Utility\Resolver;
use Exception;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Symfony\Component\Routing\Annotation\Route;

/**
 * Class PublicSettingsController
 */
class PublicSettingsController extends AbstractController
{
    /**
     * @Route(
     *     name="get_settings_authentication_message",
     *     path="/api/public/settings/authentication",
     *     methods={"GET"}
     * )
     */
    public function getAction()
    {
        // TODO: Don't hardcode this
        $path = 'authentication';
        $documentManagerRegistry = $this->getDoctrine();
        $systemSettingsManager = $documentManagerRegistry->getManagerForClass(SystemSettings::class);

        /** @var SystemSettingsRepository $systemSettingsRepository */
        $systemSettingsRepository = $systemSettingsManager->getRepository(SystemSettings::class);
        $systemSettings = $systemSettingsRepository->findAll();
        if (!$systemSettings) {
            throw new BadRequestHttpException('No System Settings Identified');
        }
        $systemSettings = $systemSettings[0];
        $systemSettingsValues = $systemSettings->getPrivateValues();

        try {
            $resolvedValues = Resolver::get($systemSettingsValues, $path);
        } catch (\Exception $e) {
            throw new NotFoundHttpException('Not Found');
        }

        return JsonResponse::create($resolvedValues);
    }
}
