<?php

namespace App\Entity\Core;

use ApiPlatform\Core\Annotation\ApiResource;
use App\Repository\FileRepository;
use App\Traits\Ownable;

/**
 *  @ApiResource(
 *     attributes={"validation_groups"={"fsr_primary", "fsr_all"}, "fsr_type"="files", "fsr_module"="files", "fsr_singular"="file"},
 *     denormalizationContext={"groups"={"fsr_all", "password"}, "fetch_data"=false},
 *     collectionOperations={
 *          "get" = { "security_post_denormalize" = "is_granted('read.files', object)" },
 *          "post" = { "security_post_denormalize" = "is_granted('create.files', object)" }
 *     },
 *     itemOperations={
 *          "get" = { "security" = "is_granted('read.files', object)" },
 *          "put" = { "security" = "is_granted('update.files', object)" },
 *          "delete" = { "security" = "is_granted('delete.files', object)" }
 *     }
 * )
 * @Doctrine\ORM\Mapping\Table(name="file")
 * @Doctrine\ORM\Mapping\Entity(repositoryClass=FileRepository::class)
 */

class File extends AbstractFile
{
    use Ownable;
    
    public function uuid()
    {
        return $this->uuid;
    }
}
