<?php
/* Copyright start
Copyright (C) 2008 - 2021 Fortinet Inc.
All rights reserved.
FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
Copyright end */

namespace App\EventSubscriber;

use App\Entity\Custom\Comment;
use Doctrine\Persistence\Event\LifecycleEventArgs;

class CommentSubscriber
{
    /**
     * @throws \Exception
     */
    public function prePersist(LifecycleEventArgs $args)
    {
        $entity = $args->getObject();
        if ($entity instanceof Comment){
            $currentDate = new \DateTime('NOW', new \DateTimeZone('UTC'));
            $replyTo = $entity->getReplyTo();
            if ($replyTo) {
                $replyTo->setLastReplyDate($currentDate);
            } else {
                $entity->setLastReplyDate($currentDate);
            }
        }
        
    }

    /**
     * @throws \Exception
     */
    public function preUpdate(LifecycleEventArgs $args)
    {
        $entity = $args->getObject();
        if ($entity instanceof Comment){
            if ($entity->getIsDeleted() != true) {
                $replyTo = $entity->getReplyTo();
                if ($replyTo) {
                    $currentDate = new \DateTime('NOW', new \DateTimeZone('UTC'));
                    $replyTo->setModifyDate($currentDate);
                }
            }
        }
    }
}
