<?php

namespace App\Providers;

use App\Entity\Actors\Actor;
use Symfony\Component\Security\Core\Authentication\Token\TokenInterface;

interface ActorDataProviderInterface
{
    /**
     * @param TokenInterface $token
     * @return mixed
     */
    public function getDataForToken(TokenInterface $token);

    /**
     * @return mixed
     */
    public function getDataForCurrentUser();

    /**
     * @param Actor $actor
     * @return mixed
     */
    public function getDataForActor(Actor $actor);
}