<?php

namespace App\Query;


class FieldExpression implements ExpressionInterface
{
    /** @var string */
    protected $fieldName;

    /** @var string */
    protected $operator;

    /** @var mixed */
    protected $value;

    /**
     * ExpressionResult constructor.
     * @param string $fieldName
     * @param string $operator
     * @param mixed $value
     */
    public function __construct($fieldName, $operator, $value)
    {
        $this->fieldName = $fieldName;
        $this->operator = $operator;
        $this->value = $value;
    }

    /**
     * @return array
     */
    public function toArray()
    {
        return [
            'field' => $this->fieldName,
            'operator' => $this->operator,
            'value' => $this->value
        ];
    }
}
