<?php

namespace App\Serializer\Normalizer;

use App\Entity\Authorization\Team;
use App\Entity\Settings\UserSettings;

final class TeamNormalizer extends EfficientItemNormalizer
{

    public function normalize($object, $format = null, array $context = [])
    {
        $context['ignore_depth'] = false;
        $data = parent::normalize($object, $format, $context);
        return $data;
    }

    public function supportsNormalization($data, $format = null): bool
    {
        return 'jsonld' === $format && ($data instanceof Team);
    }

    /**
     * {@inheritdoc}
     */
    public function supportsDenormalization($data, $type, $format = null): bool
    {
        return false;
    }
}
