<?php

namespace App\Service;

use App\Entity\Authorization\ModulePermission;
use Doctrine\ORM\EntityManager;
use Exception;
use Symfony\Component\Security\Core\Authentication\Token\Storage\TokenStorageInterface;
use Symfony\Component\Security\Core\Authorization\AuthorizationCheckerInterface;

class AuthorizationChecker {

     /** @var TokenStorageInterface */
     protected $tokenStorage;

     /** @var AuthorizationCheckerInterface */
     protected $authorizationChecker;
 
     /**
      * @param AuthorizationCheckerInterface $authorizationChecker
      * @param TokenStorageInterface $tokenStorage
      */
     function __construct(AuthorizationCheckerInterface $authorizationChecker, TokenStorageInterface $tokenStorage)
     {
         $this->authorizationChecker = $authorizationChecker;
         $this->tokenStorage = $tokenStorage;
     }
 
    public function denyAccessUntilGranted($resource=null, $action, $context=null) {
        // 'perm.' . $resource->getEntityClass()::class . '.' . $action
        // if ('perm.' . StagingModelMetadata::class . '.' . $action == 'granted') {
        //     return true;
        // } else {
        //     return false;
        // }

        if (!$this->isGranted($action, $context)) {
            throw new AccessDeniedException();
        }
    }

}