<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Service\ConfigExportImport;

use App\Entity\Core\ExportJob;
use Symfony\Component\Console\Style\SymfonyStyle;

/**
 * Class ExportService
 * @package App\Service
 */
class ExportService extends ConfigPorter
{
    /**
     * 
     *
     * @param array $fullConfig
     * @param ExportJob $exportJob
     * @return mixed
     */
    public function exportConfiguration(ExportJob $exportJob, SymfonyStyle $io, $tokenType='JWT') {
        $options = $exportJob->getTemplate()->getOptions();
        $exportData = [];
        foreach ($this->configTypes as $key => $service) {
            $config = array_key_exists($key, $options) ? $options[$key] : [];
            /** @var PortingConfig $portingConfig */
            $portingConfig = $this->container->get($service);
            $io->writeln(sprintf('Working on %s', $key));
            if ($key == 'modules' && count($config) > 0) {
                // Added for backwards compatibility
                $exportData['includeMmd'] = true;
            }
            $exportData[$key] = $portingConfig->export($config, $tokenType);
        }
        
        return $exportData;
    }

    /**
     * 
     *
     * @param array $recordSet
     * @param ExportJob $exportJob
     * @return mixed
     */
    public function exportRecordSet(ExportJob $exportJob) {
        return true;
    }

}
