<?php
/* Copyright start
  Copyright (C) 2008 - 2021 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

namespace App\Service\ConfigExportImport;

use App\Command\ImportJobCommand;
use App\Entity\Core\ImportJob;
use Symfony\Component\Console\Style\SymfonyStyle;

/**
 * Class ImportService
 */
class ImportService extends ConfigPorter
{
    /**
     * 
     *
     * @param array $config
     * @return array
     */
    public function importConfiguration(array $fullData, ImportJob $importJob, ImportJobCommand $importJobCommand, SymfonyStyle $io, $tokenType='JWT') {
        $options = $importJob->getOptions();
        foreach ($this->configTypes as $key => $service) {
            $data = array_key_exists($key, $fullData) ? $fullData[$key] : [];
            $individualOptions = array_key_exists($key, $options) ? $options[$key] : [];
            if (!$data || count($data) == 0 || !$individualOptions || !$individualOptions['include']) {
                continue;
            }
            /** @var PortingConfig $portingConfig */
            $portingConfig = $this->container->get($service);
            $io->writeln(sprintf('Working on %s', $key));
            $importJobCommand->updateImportJob($importJob, null, null, null, null, $key);
            $success = $portingConfig->import($data, $individualOptions['values'], $tokenType);
            if (!$success) {
                return [
                    "success" => false
                ];
            }
        }

        return [
            "success" => true
        ];
    }
    
    /**
     * 
     *
     * @param array $config
     * @return array
     */
    public function importRecordSet(array $recordSet, ImportJob $importJob) {
        var_dump(array_column($recordSet, 'Name'));
        return true;
    }

}
