<?php

namespace App\Service;


use App\Entity\Actors\Actor;
use Symfony\Component\Security\Core\Authentication\Token\TokenInterface;

interface UserDataProviderInterface
{
  /**
   * @param TokenInterface $token
   * @return mixed
   */
  public function getDataForToken(TokenInterface $token);

  /**
   * @return mixed
   */
  public function getDataForCurrentUser();

  /**
   * @param Actor $actor
   * @return mixed
   */
  public function getDataForActor(Actor $actor);
}
