<?php

namespace App\Validator;

use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class CompatibilityConstraint extends Constraint
{
    const MESSAGE = "Data type conversion from Old Type : {{ old_type }}[{{ old_form_type }}] to New Type: {{ new_type }}[{{ new_form_type }}] not supported for {{ modelType }} - {{ name }} field.";
    public $duplicateFieldViolation = "Duplicate field: '{{ value }}' exists in '{{ model }}' module. Do note fields name are case insensitive";
    public function getTargets()
    {
        return self::CLASS_CONSTRAINT;
    }
    public function validatedBy()
    {
        return get_class($this) . 'Validator';
    }
}
