<?php

namespace App\Validator;

use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class ModelMetadataCollectionConstraint extends Constraint
{
    public $coreTypeViolation = "Type '{{ value }}' already exists as core model metadata.";
    public $attributeTypeViolation = "Attribute type '{{ value }}' does not exist as core or custom model metadata.";
    public $inversedFieldViolation = "Inverse field '{{ value }}' does not exist on related model metadata.";
    // Sample: Duplicate field fileName exist in alerts module. 
    // Do note the attribute name are case insensitive.
    // filename and fileName are considered same fields by framework.
    public $duplicateFieldViolation = "Duplicate field: '{{ value }}' exists in '{{ model }}' module. Do note fields name are case insensitive";

    public function validatedBy()
    {
        return get_class($this) . 'Validator';
    }
}
