LexikJWTAuthenticationBundle
============================

[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/lexik/LexikJWTAuthenticationBundle/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/lexik/LexikJWTAuthenticationBundle/?branch=master)
[![SensioLabsInsight](https://insight.sensiolabs.com/projects/67573b6f-e182-4394-b26a-649c323784f6/mini.png)](https://insight.sensiolabs.com/projects/67573b6f-e182-4394-b26a-649c323784f6)
[![Latest Stable Version](https://poser.pugx.org/lexik/jwt-authentication-bundle/v/stable.svg)](https://packagist.org/packages/lexik/jwt-authentication-bundle)

This bundle provides JWT (Json Web Token) authentication for your Symfony API.

It is compatible and tested with PHP 7.1+ on Symfony 4.x and 5.x.

Documentation
-------------

The bulk of the documentation is stored in the [`Resources/doc`](Resources/doc/index.md) directory of this bundle:

* [Getting started](Resources/doc/index.md#getting-started)
  * [Prerequisites](Resources/doc/index.md#prerequisites)
  * [Installation](Resources/doc/index.md#installation)
  * [Configuration](Resources/doc/index.md#configuration)
  * [Usage](Resources/doc/index.md#usage)
  * [Notes](Resources/doc/index.md#notes)
* [Further documentation](Resources/doc/index.md#further-documentation)
  * [Configuration reference](Resources/doc/1-configuration-reference.md)
  * [Data customization and validation](Resources/doc/2-data-customization.md)
  * [Functional testing](Resources/doc/3-functional-testing.md)
  * [Working with CORS requests](Resources/doc/4-cors-requests.md)
  * [JWT encoder service customization](Resources/doc/5-encoder-service.md)
  * [Extending JWTTokenAuthenticator](Resources/doc/6-extending-jwt-authenticator.md)
  * [Creating JWT tokens programmatically](Resources/doc/7-manual-token-creation.md)
  * [A database-less user provider](Resources/doc/8-jwt-user-provider.md)

Community Support
-----------------

Please consider [opening a question on StackOverflow](http://stackoverflow.com/questions/ask) using the [`lexikjwtauthbundle` tag](http://stackoverflow.com/questions/tagged/lexikjwtauthbundle),  it is the official support platform for this bundle.
  
Github Issues are dedicated to bug reports and feature requests.

Contributing
------------

See the [CONTRIBUTING](CONTRIBUTING.md) file.

Upgrading from 1.x
-------------------

Please see the [UPGRADE](UPGRADE-2.0.md) file.

Credits
-------

* Lexik <dev@lexik.fr>
* [All contributors](https://github.com/lexik/LexikJWTAuthenticationBundle/graphs/contributors)

License
-------

This bundle is under the MIT license.  
For the whole copyright, see the [LICENSE](LICENSE) file distributed with this source code.
